Bug 585201 - PackageKit needs to overload _checkSignatures
PackageKit needs to overload _checkSignatures
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 08:19 EDT by Richard Hughes
Modified: 2014-01-21 18:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2010-04-23 08:19:01 EDT
Description of problem:

PackageKit needs to overload _checkSignatures, which worries me as the underscore in python methods usually means that it's private "an implementation detail and subject to change without notice", and not part of the public API. It would be nice for this function to be exported (loose the _ prefix) so PackageKit can just override a public method like other modules and I don't have to worry about it changing in the future and breaking PackageKit. Thanks.

Version-Release number of selected component (if applicable):

yum-3.2.27-3.fc13.noarch
Comment 1 seth vidal 2010-04-23 09:50:40 EDT
It looks like the only thing PK is doing in its _checkSignatures()
is changing this line in yum:

                self.getKeyForPackage(po, self._askForGPGKeyImport)

to

                self.getKeyForPackage(po, fullaskcb=self._fullAskForGPGKeyImport) 


which seems odd since _askForGPGKeyImport is explicitly listed in yum as:

 def _askForGPGKeyImport(self, po, userid, hexkeyid):
        ''' 
        Ask for GPGKeyImport
        This need to be overloaded in a subclass to make GPG Key import work
        '''
        return False


so... what is it you want yum to do here?
Comment 2 seth vidal 2010-04-29 15:01:33 EDT
richard? ping?
Comment 3 Bug Zapper 2010-07-30 07:27:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2012-08-16 16:35:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.